JNA API 3.3.0

## com.sun.jna.platform.win32
Class BaseTSD.DWORD_PTR

    java.lang.Object
      java.lang.Number
          com.sun.jna.IntegerType
              com.sun.jna.platform.win32.BaseTSD.DWORD_PTR

All Implemented Interfaces:
  NativeMapped, Serializable

Enclosing interface:
  BaseTSD

    public static class BaseTSD.DWORD_PTR

extends IntegerType

Unsigned DWORD_PTR.

See Also:
  Serialized Form

Constructor Summary
`BaseTSD.DWORD_PTR()`
`BaseTSD.DWORD_PTR(long value)`

Method Summary

Methods inherited from class com.sun.jna.IntegerType
`doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseTSD.DWORD_PTR

    public BaseTSD.DWORD_PTR()

### BaseTSD.DWORD_PTR

    public BaseTSD.DWORD_PTR(long value)

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.